Search found 9 matches

Go to advanced search

by naxq0
Thu Jan 10, 2019 2:49 pm
Forum: Job offers
Topic: FreeCAD server-side implementation project
Replies: 3
Views: 562

Re: FreeCAD server-side implementation project

Hello there Alexander,
I've also sent you a PM :)
by naxq0
Mon Nov 05, 2018 3:29 pm
Forum: Python scripting and macros
Topic: Issue with degenerated edges
Replies: 4
Views: 170

Re: Issue with degenerated edges

Hi and thanks for your reply :) I don't think the "isClosed()" method is supposed to work on faces. From what I understand, only shells, wires and edges can be closed. Even the face of a full sphere returns isClosed() = False Ah OK. thanks! Your face is trimmed from a BSpline surface that is maybe v...
by naxq0
Mon Oct 29, 2018 4:13 pm
Forum: Python scripting and macros
Topic: Issue with degenerated edges
Replies: 4
Views: 170

Issue with degenerated edges

Hi everyone! I was hoping to get your opinions on an issue I have Context As far as I have been able to find out, degenerated edges appear when you have edges that have length in the UV space, but not in the cartesian space e.g. when you extend a truncated cone, the upper circular edge ends up with ...
by naxq0
Tue May 29, 2018 8:43 am
Forum: Python scripting and macros
Topic: Oversized BoundBox from STEP file
Replies: 9
Views: 1229

Re: Oversized BoundBox from STEP file

https://www.opencascade.com/doc/occt-7.1.0/refman/html/class_b_rep_bnd_lib.html#aad43f924ff3d1ff0963005c4c6cdeb90 Hi, is this 'AddOptimal' method available in FreeCAD? and is it exposed to python to get a more precise BBox? Thanks Maurice That would definitely be a nice feature to add if its not al...
by naxq0
Wed Apr 25, 2018 1:08 pm
Forum: Python scripting and macros
Topic: Using 'convert to points' from the Points WB in the console
Replies: 7
Views: 232

Re: Using 'convert to points' from the Points WB in the console

Ok thanks.

I might try to look into it myself and if I figure it out I'll issue a pull request.

In the meantime, where should I post the feature request? I've seen some people do it in the forum with "Feature request" in the title, but I imagine GitHub might be better
by naxq0
Wed Apr 25, 2018 12:36 pm
Forum: Python scripting and macros
Topic: Using 'convert to points' from the Points WB in the console
Replies: 7
Views: 232

Re: Using 'convert to points' from the Points WB in the console

Hmm I see. This works great on the python console in FreeCAD, and from my standalone script I can set it up so that your script works using: import FreeCADGui FreeCADGui.showMainWindow() import PointsGui But then it is still necessary to input the interval into the pop-up manually and I would prefer...
by naxq0
Wed Apr 25, 2018 9:43 am
Forum: Python scripting and macros
Topic: Using 'convert to points' from the Points WB in the console
Replies: 7
Views: 232

Re: Using 'convert to points' from the Points WB in the console

There might also be an alternative way to do it.

I have been looking at creating messes from shapes and tessellating the shape, and getting the points from the mesh. However, these methods seem to only get the points at the edges and leave out the normal cylinders and planes for example
by naxq0
Wed Apr 25, 2018 8:34 am
Forum: Python scripting and macros
Topic: Using 'convert to points' from the Points WB in the console
Replies: 7
Views: 232

Using 'convert to points' from the Points WB in the console

Hello everyone, I was using the "convert to poitnts" GUI button to rasterize the faces of some solids and it was working great. However.... does anyone know how to get that working from the console? I looked at the source code on GitHub and found the function that the GUI calls void CmdPointsConvert...

Go to advanced search